<?php  
 
	function processCurlJsonrequest($URL, $fieldString)
	{
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json', 'Accept: application/json'));
		curl_setopt($ch, CURLOPT_URL, $URL);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
		curl_setopt($ch, CURLOPT_VERBOSE, TRUE);
		curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fieldString));
		curl_setopt($ch, CURLOPT_POST, 1);
		$resulta = curl_exec($ch);
		if (curl_errno($ch)) {
			print curl_error($ch);
		} else {
			curl_close($ch);
		}
		return $resulta;
	}
	

	$fecha = $_POST["fecha_inicio"]."T00:00:01";
	$fecha_termino = $_POST["fecha_termino"]."T23:59:00";
	$identificador = $_POST["rut"];		
	
	$data_string = array(
		'apiKey' => 'fd2b105003aa78c2751a71f4dd3f79b7',
		'inicio' => $fecha,
		'termino' => $fecha_termino,
		'identificador' =>  [$identificador]  
	);
	$data =  processCurlJsonrequest('https://app.relojcontrol.com/api/consultaMarcaciones/consulta',$data_string);
	$array = json_decode($data);
	
	if($array->respuesta > 0){
		$vetor[] = array(	
			'rut' => -1	
		); 	
	}else{
		foreach ($array->marcaciones as $o) {
			
			$tipo = "ENTRADA";
			if(intval($o->tipo) == 1) { $tipo = "SALIDA"; }
			if(intval($o->tipo) == 2) { $tipo = "SALIDA EXTRAORDINARIA"; }
			if(intval($o->tipo) == 3) { $tipo = "ENTRADA EXTRAORDINARIA"; }
			if(intval($o->tipo) == 4) { $tipo = "SALIDA A DESCANSO"; }
			if(intval($o->tipo) == 5) { $tipo = "ENTRADA DESPUES DE DESCANSO"; }
			
			$array = explode("T", $o->fechaHora);
 
			$vetor[] = array(	
				'fecha' => $array[0], 
				'hora' => $array[1], 	
				'rut' => $o->rut,
				'nombre' => $o->nombres,
				'apellido' => $o->apellidos,			
				'departamento' => $o->departamento, 	
				'sucursal' => $o->sucursal,
				'tipomarcaje' => $tipo	
			); 				
			
		}				
	
		
	}
	echo json_encode($vetor);		

?>			
